StableOps
API 參考

按使用者查詢商戶訂閱

根據商戶使用者標識查詢 StableOps 訂閱,將業務帳戶與對應訂閱記錄關聯,核對返回狀態後處理服務開通與續費提示。訂閱按週期開票,使用者仍需主動用錢包付款,自動開票不代表自動扣款。商戶應結合帳單結算、目前帳期及訂閱狀態管理服務許可權,不依賴前端返回判斷成功。

GET/v1/merchant/subscriptions/by-user/{merchantUserId}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

merchantUserId*unknown

Merchant user id.

Response Body

application/json

curl -X GET "https://example.com/v1/merchant/subscriptions/by-user/{merchantUserId}"
{
  "id": "string",
  "merchant_user_id": "string",
  "plan_id": "string",
  "status": "incomplete",
  "current_period_start": "2019-08-24T14:15:22Z",
  "current_period_end": "2019-08-24T14:15:22Z",
  "cancel_at_period_end": true,
  "pending_plan_id": "string",
  "pending_plan_change_at": "2019-08-24T14:15:22Z",
  "trial_ends_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

這篇文件怎麼樣?

最後更新